<?php

namespace app\api\controller;
use app\common\controller\Authentication;
use app\common\model\QuestionModel;
use Aliyun\DySDKLite\SignatureHelper;

require_once pathinfo(__FILE__)['dirname']. "/SignatureHelper.php";

class Msg extends Authentication{
    
    private static $M_question;
    public function __construct(){
        // parent::__construct();
    }
    public function send() {
        $params = array ();
        $accessKeyId = "LTAI4kwVxtHuxnfg";
        $accessKeySecret = "kb0WuT1rEuZ34gwIeiSGBjUp8MJbxw";
        // fixme 必填: 短信接收号码
        $params["PhoneNumbers"] = input('mobile');
        // fixme 必填: 短信签名，应严格按"签名名称"填写，请参考: https://dysms.console.aliyun.com/dysms.htm#/develop/sign
        $params["SignName"] = "学霸冲冲冲";
        // fixme 必填: 短信模板Code，应严格按"模板CODE"填写, 请参考: https://dysms.console.aliyun.com/dysms.htm#/develop/template
        $params["TemplateCode"] = "SMS_123738521";
        // fixme 可选: 设置模板参数, 假如模板中存在变量需要替换则为必填项
        $params['TemplateParam'] = Array (
            "code" => input('code')
        );
        // fixme 可选: 设置发送短信流水号
        $params['OutId'] = "12345";
        // fixme 可选: 上行短信扩展码, 扩展码字段控制在7位或以下，无特殊需求用户请忽略此字段
        $params['SmsUpExtendCode'] = "1234567";
        // *** 需用户填写部分结束, 以下代码若无必要无需更改 ***
        if(!empty($params["TemplateParam"]) && is_array($params["TemplateParam"])) {
            $params["TemplateParam"] = json_encode($params["TemplateParam"], JSON_UNESCAPED_UNICODE);
        }
        // 初始化SignatureHelper实例用于设置参数，签名以及发送请求
        $helper = new SignatureHelper();
        // 此处可能会抛出异常，注意catch
        $content = $helper->request(
            $accessKeyId,
            $accessKeySecret,
            "dysmsapi.aliyuncs.com",
            array_merge($params, array(
                "RegionId" => "cn-hangzhou",
                "Action" => "SendSms",
                "Version" => "2017-05-25"
            ))
        );
        $content->code = input('code');
        return json($content);
    }
}
